DOVEADM-ALTMOVE(1)

NAME
doveadm-altmove - Move matching mails to the alternative storage (dbox-only)

SYNOPSIS
doveadm [-Dv] altmove [-r] [-S socket_path] search_query
doveadm [-Dv] altmove [-r] [-S socket_path] -A search_query
doveadm [-Dv] altmove [-r] [-S socket_path] -F file search_query
doveadm [-Dv] altmove [-r] [-S socket_path] -u user search_query

DESCRIPTION
This command can be used with sdbox or mdbox storage to move mails to alternative storage path when :ALT=<path> is specified for the mail location.

In the first form, doveadm(1) will executed the altmove action with the environment of the logged in system user.

In the second form, the command will be performed for all users.

In the third form, the command will be performed for all users listed in the given file.

In the fourth form, only matching mails of the given user(s) will be moved to the alternative storage. @INCLUDE:global-options@

Command specific options: @INCLUDE:option-A@ @INCLUDE:option-F-file@

-r  When the -r option is given this command works the other way round. Mails will be moved from the alternative storage back to the default mail location. @INCLUDE:option-S-socket@ @INCLUDE:option-u-user@

ARGUMENTS

search_query
    Messages matching this search query will be moved to alt storage. See doveadm-search-query(7) for details.

FILES

@pkgsysconfdir@/conf.d/10-mail.conf
    Mailbox locations and namespaces.

@pkgsysconfdir@/conf.d/auth-*.conf.ext
    Authentication processes, including userdb settings.

EXAMPLE
This example moves seen mails older than one week to alternative storage under /nfsmount:
mail_location = mdbox:~/mdbox:ALT=/nfsmount/%h/mdbox

doveadm altmove -u johnd@example.com seen savedbefore 1w
@INCLUDE:reporting-bugs@

SEE ALSO
doveadm(1), doveadm-search-query(7)